# $Revision: 1.12 $, $Date: 2011/05/23 08:30:31 $
%define		_modname	stats
%define		_status		stable
Summary:	%{_modname} - extension with routines for statistical computation
Summary(pl.UTF-8):	%{_modname} - rozszerzenie z funkcjami do wykonywania obliczeń statystycznych
Name:		php-pecl-%{_modname}
Version:	1.0.2
Release:	3
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	96f105be1e76fbc5dca424057066e4d8
URL:		http://pecl.php.net/package/stats/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php-common >= 4:5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Extension that provides few dozens routines for statistical
computation, such as stats_absolute_deviation(), stats_covariance(),
harmonic_mean() and others.

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
To rozszerzenie dostarcza wiele różnych funkcji do wykonywania
obliczeń statystycznych, takich jak stats_absolute_deviation(),
stats_covariance(), harmonic_mean() i inne.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{CREDITS,TODO}
%doc %{_modname}-%{version}/tests
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-stats.spec,v $
Revision 1.12  2011/05/23 08:30:31  lisu
- rel 3

Revision 1.11  2009/04/26 17:17:17  adamg
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

Revision 1.10  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.8  2007/01/02 20:10:21  glen
- use new php extension related macros

Revision 1.7  2006/12/13 23:40:25  glen
- rel 2 (php 5.2.0)

Revision 1.6  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.5  2006/06/21 19:17:09  adamg
- updated to 1.0.2

Revision 1.4  2006/04/23 13:45:24  adamg
- updated to 1.0.1

Revision 1.3  2005/12/24 15:39:16  glen
- rel 2 (rebuild with new php)

Revision 1.2  2005/11/27 01:07:24  qboosh
- pl fix

Revision 1.1  2005/11/26 10:26:32  adamg
- new
